.window {
  position: absolute;
  background: rgba(255, 255, 255, 0.8);
  display: flex;
  flex-direction: column;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  left: 0;
  top: 0;
  max-height: calc(100% - 1em);
  overflow: hidden;
  backdrop-filter: blur(5px);
}
.window > .header {
  padding: 0.25em 0.5em;
  box-shadow: 0 0px 5px 0px rgba(0, 0, 0, 0.5);
}
.window > .body {
  overflow-y: auto;
}

.ChapterComponent {
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  display: flex;
  border-radius: 4px;
}
.ChapterComponent.selected {
  box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.5), 0 0 2px rgba(0, 0, 0, 0.25);
  background: rgba(0, 0, 0, 0.04);
}
.ChapterComponent > div {
  display: flex;
  align-items: center;
  gap: 0.5em;
  padding-left: 0.5em;
}
.ChapterComponent > *:last-child {
  flex: 1;
  display: flex;
  gap: 0.5em;
  padding: 0.5em;
  color: black;
  text-decoration: none;
}
.ChapterComponent > *:last-child > div {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.ChapterComponent > *:last-child > div > div {
  display: flex;
  gap: 0.5em;
}
.ChapterComponent .date,
.ChapterComponent .scanlator {
  font-size: 0.9em;
}

.SeriesComponent {
  display: block;
  position: relative;
  width: 12.67em;
  min-width: 12.67em;
  height: 18em;
  overflow: hidden;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  border-radius: 4px;
}
.SeriesComponent > * {
  border: none;
  margin: 0;
  padding: 0;
  display: block;
  width: 100%;
  height: 100%;
}
.SeriesComponent > *:hover {
  z-index: 1;
}
.SeriesComponent > * > img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.SeriesComponent > * > span {
  position: absolute;
  left: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.75);
  color: black;
  padding: 0.25em 0.5em;
  box-sizing: border-box;
  width: 100%;
  backdrop-filter: blur(5px);
}

.SeriesPageComponent {
  width: min(100%, 1000px);
  max-width: 1000px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}
.SeriesPageComponent > .header {
  padding: 0.25em 0.5em;
  box-shadow: 0 0px 5px 0px rgba(0, 0, 0, 0.5);
}
.SeriesPageComponent .body {
  overflow-y: auto;
  flex: 1;
}
.SeriesPageComponent .head {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
}

.SeriesLive {
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  padding: 0.5em;
  flex: 1;
}
.SeriesLive .cover-image {
  display: block;
  position: relative;
  height: 18em;
  overflow: hidden;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}
.SeriesLive .cover-image > img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.SeriesLive .info {
  flex: 1;
  display: flex;
  flex-direction: column;
  min-width: 14em;
}
.SeriesLive .chapterlist {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  flex: 1;
  min-width: 400px;
}

.ExtensionsLive .details > div {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.ExtensionsLive tr img {
  width: 3em;
  height: 3em;
}

.LibraryLive main {
  display: flex;
  padding: 0;
}
.LibraryLive .library {
  overflow-y: auto;
  padding: 0.5em;
  display: flex;
  align-content: start;
  flex-wrap: wrap;
  gap: 1em;
  flex: 1;
}
@media only screen and (max-width: calc(1000px + 19.67em)) {
  .LibraryLive .library:has(+ .SeriesPageComponent) {
    display: none;
  }
  .LibraryLive .SeriesPageComponent {
    width: 100%;
    max-width: 100%;
  }
}

.SearchLive main {
  display: flex;
  padding: 0;
}
.SearchLive .left {
  display: flex;
  flex-direction: column;
  flex: 1;
  padding: 0.5em;
  overflow-y: auto;
}
.SearchLive .left form {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 0.5em;
}
.SearchLive .sources {
  display: flex;
  flex-direction: column;
}
.SearchLive .sources > div {
  display: flex;
  align-items: center;
}
.SearchLive .sources > div > label {
  display: flex;
  align-items: center;
  gap: 0.5em;
  flex: 1;
  padding-right: 0 1em;
}
.SearchLive .sources > div > label > img {
  width: 3em;
  height: 3em;
}
.SearchLive .library {
  display: flex;
  align-content: start;
  flex-wrap: wrap;
  gap: 1em;
}
@media only screen and (max-width: calc(1000px + 19.67em)) {
  .SearchLive .left:has(+ .SeriesPageComponent) {
    display: none;
  }
  .SearchLive .SeriesPageComponent {
    width: 100%;
    max-width: 100%;
  }
}

.UpdatesLive .messages {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
}
.UpdatesLive .messages > div {
  display: flex;
  flex-direction: column;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  overflow: hidden;
  padding: 0.5em;
  gap: 0.5em;
}
.UpdatesLive .messages > div > :first-child {
  font-weight: bold;
}

.ReaderLive main {
  position: relative;
  display: flex;
  padding: 0;
}
.ReaderLive .series_details {
  display: flex;
  position: relative;
}
.ReaderLive .series_details > .inner {
  flex: 1;
  display: flex;
  flex-direction: column;
  width: 24em;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}
.ReaderLive .series_details .details {
  padding: 0.5em;
}
.ReaderLive .series_details .chapterlist {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  padding: 0.5em;
  flex: 1;
  overflow-y: auto;
}
.ReaderLive .series_details .series_details_toggle {
  left: 100%;
  top: 50%;
  transform: translateY(-50%);
  position: absolute;
  z-index: 1;
}
.ReaderLive .series_details .series_details_toggle label {
  padding: 0.5em;
  cursor: pointer;
}
.ReaderLive #series_details_toggle {
  display: none;
}
.ReaderLive #series_details_toggle:checked + .series_details > .inner {
  display: none;
}
.ReaderLive #series_details_toggle:checked + .series_details .series_details_toggle label::after {
  content: ">";
}
.ReaderLive #series_details_toggle:not(:checked) + .series_details .series_details_toggle label::after {
  content: "<";
}
.ReaderLive .body {
  height: 100%;
  overflow-y: auto;
  flex: 1;
}
.ReaderLive #page_container {
  flex: 1;
  display: flex;
  height: 100%;
  position: relative;
  overflow-x: scroll;
  scroll-snap-type: x mandatory;
}
.ReaderLive #page_container > div {
  display: flex;
  justify-content: center;
  position: relative;
  min-width: 100%;
  flex: 0 0 100%;
  overflow: none;
  scroll-snap-align: center;
}
.ReaderLive #page_container img {
  max-height: 100%;
  max-width: 100%;
  object-fit: contain;
}

html {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  width: 100%;
  height: 100%;
  margin: 0;
}
body > div {
  display: flex;
  flex: 1;
}
@media only screen and (max-width: 700px) {
  body > div {
    flex-direction: column;
  }
}

header {
  width: 6em;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}
@media only screen and (max-width: 700px) {
  header {
    width: unset;
  }
}
header > nav {
  display: flex;
  flex-direction: column;
  white-space: nowrap;
  overflow: hidden;
}
@media only screen and (max-width: 700px) {
  header > nav {
    flex-direction: row;
  }
}
header > nav a {
  padding: 0.5em 0.5em;
  text-decoration: none;
}
header > nav a.active {
  box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.5);
  pointer-events: none;
}
header > nav a.active > span {
  display: block;
  transform: scale(0.95);
}
header > nav > div {
  display: flex;
}
header > nav > div > a {
  flex: 1;
}
header > nav > span {
  height: 1em;
}

main {
  flex: 1;
  padding: 0.5em;
  overflow-y: auto;
  position: relative;
}

button,
.button {
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 4px;
  font-size: 0.9rem;
  font-family: "Times New Roman", Times, serif;
  padding: 0.125em 0.5em;
  margin: 0;
  color: black;
  background: rgba(0, 0, 0, 0.08);
  cursor: default;
  text-decoration: none;
  user-select: none;
  display: inline-block;
}
button:hover,
.button:hover {
  background: rgba(0, 0, 0, 0.15);
}
button:active,
.button:active {
  background: rgba(0, 0, 0, 0.25);
}

.link {
  cursor: pointer;
}

/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22file:///black/yuriyomi/assets/css/window.scss%22,%22file:///black/yuriyomi/assets/css/chapter_component.scss%22,%22file:///black/yuriyomi/assets/css/series_component.scss%22,%22file:///black/yuriyomi/assets/css/series_page_component.scss%22,%22file:///black/yuriyomi/assets/css/series_live.scss%22,%22file:///black/yuriyomi/assets/css/extensions_live.scss%22,%22file:///black/yuriyomi/assets/css/library_live.scss%22,%22file:///black/yuriyomi/assets/css/search_live.scss%22,%22file:///black/yuriyomi/assets/css/updates_live.scss%22,%22file:///black/yuriyomi/assets/css/reader_live.scss%22,%22file:///black/yuriyomi/assets/css/app.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22AAAA;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;;AAGJ;EACI;;;AClBR;EACI;EACA;EACA;;AAEA;EACI;EACA;;AAGJ;EACI;EACA;EACA;EACA;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;EACA;;AAEA;EACI;EACA;;AAOZ;AAAA;EAEI;;;ACzCR;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;;AAGJ;EACI;EACA;EACA;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;ACrCZ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;;AAGJ;EACI;EACA;;AAGJ;EACI;EACA;EACA;;;ACtBR;EACI;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;EACA;;AAIR;EACI;EACA;EACA;EACA;;AAGJ;EACI;EACA;EACA;EACA;EACA;;;AChCA;EACI;EACA;EACA;;AAKJ;EACI;EACA;;;ACXR;EACI;EACA;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;;AAGJ;EACI;IACI;;EAGJ;IACI;IACA;;;;ACtBR;EACI;EACA;;AAGJ;EACI;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;EACA;EACA;;AAIR;EACI;EACA;;AAEA;EACI;EACA;;AAEA;EACI;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;;AAMhB;EACI;EACA;EACA;EACA;;AAGJ;EACI;IACI;;EAGJ;IACI;IACA;;;;ACzDR;EACI;EACA;EACA;;AAEA;EACI;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;;;ACdZ;EACI;EACA;EACA;;AAGJ;EACI;EACA;;AAEA;EACI;EACA;EACA;EACA;EACA;;AAGJ;EACI;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;;AAGJ;EACI;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;;AAKZ;EACI;;AAIQ;EACI;;AAGJ;EACI;;AAOJ;EACI;;AAMhB;EACI;EACA;EACA;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;;AAGA;EACI;EACA;EACA;EACA;EACA;EACA;EACA;;AAGJ;EACI;EACA;EACA;;;ACrFZ;EACI;EACA;;;AAGJ;EACI;EACA;EACA;EACA;;AAEA;EACI;EACA;;AAEA;EAJJ;IAKQ;;;;AAKZ;EACI;EA6CA;;AA3CA;EAHJ;IAIQ;;;AAGJ;EACI;EACA;EAMA;EACA;;AALA;EAJJ;IAKQ;;;AAMJ;EACI;EACA;;AAEA;EAMI;EACA;;AANA;EACI;EACA;;AAQZ;EACI;;AAEA;EACI;;AAIR;EACI;;;AAOZ;EACI;EACA;EACA;EACA;;;AAGJ;AAAA;EAEI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;AAEA;AAAA;EACI;;AAGJ;AAAA;EACI;;;AAIR;EACI%22,%22file%22:%22app.css%22%7D */
